org.jfree.chart.axis

## Class TickUnits

- java.lang.Object
- - org.jfree.chart.axis.TickUnits

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, TickUnitSource

    public class TickUnits
    extends java.lang.Object
    implements TickUnitSource, java.lang.Cloneable, java.io.Serializable

A collection of tick units, used by the `DateAxis` and `NumberAxis` classes.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`TickUnits()` Constructs a new collection of tick units.

### Method Summary

Methods
`void` `add(TickUnit unit)` Adds a tick unit to the collection.
`java.lang.Object` `clone()` Returns a clone of the collection.
`boolean` `equals(java.lang.Object obj)` Tests an object for equality with this instance.
`TickUnit` `get(int pos)` Returns the tickunit on the given position.
`TickUnit` `getCeilingTickUnit(double size)` Returns the tick unit in the collection that is greater than or equal to the specified size.
`TickUnit` `getCeilingTickUnit(TickUnit unit)` Returns the tick unit in the collection that is greater than or equal to (in size) the specified unit.
`TickUnit` `getLargerTickUnit(TickUnit unit)` Returns a tick unit that is larger than the supplied unit.
`int` `size()` Returns the number of tick units in this collection.

### Methods inherited from class java.lang.Object

`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TickUnits

    public TickUnits()

Constructs a new collection of tick units.

### Method Detail

#### add

    public void add(TickUnit unit)

Adds a tick unit to the collection. The tick units are maintained in ascending order.

Parameters:
  `unit` - the tick unit to add (`null` not permitted).

#### size

    public int size()

Returns the number of tick units in this collection.

This method is required for the XML writer.

Returns:
  The number of units in this collection.

#### get

    public TickUnit get(int pos)

Returns the tickunit on the given position.

This method is required for the XML writer.

Parameters:
  `pos` - the position in the list.
Returns:
  The tickunit.

#### getLargerTickUnit

    public TickUnit getLargerTickUnit(TickUnit unit)

Returns a tick unit that is larger than the supplied unit.

Specified by:
  `getLargerTickUnit` in interface `TickUnitSource`
Parameters:
  `unit` - the unit.
Returns:
  A tick unit that is larger than the supplied unit.

#### getCeilingTickUnit

    public TickUnit getCeilingTickUnit(TickUnit unit)

Returns the tick unit in the collection that is greater than or equal to (in size) the specified unit.

Specified by:
  `getCeilingTickUnit` in interface `TickUnitSource`
Parameters:
  `unit` - the unit.
Returns:
  A unit from the collection.

#### getCeilingTickUnit

    public TickUnit getCeilingTickUnit(double size)

Returns the tick unit in the collection that is greater than or equal to the specified size.

Specified by:
  `getCeilingTickUnit` in interface `TickUnitSource`
Parameters:
  `size` - the size.
Returns:
  A unit from the collection.

#### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

Returns a clone of the collection.

Overrides:
  `clone` in class `java.lang.Object`
Returns:
  A clone.
Throws:
  `java.lang.CloneNotSupportedException` - if an item in the collection does not support cloning.

#### equals

    public boolean equals(java.lang.Object obj)

Tests an object for equality with this instance.

Overrides:
  `equals` in class `java.lang.Object`
Parameters:
  `obj` - the object to test (`null` permitted).
Returns:
  A boolean.